diff --git a/changelog b/changelog
index 68560ea..aac007e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100630 tpd src/axiom-website/patches.html 20100630.01.tpd.patch
+20100630 tpd src/input/hyperell.input additional PAFF testing
+20100630 tpd src/input/Makefile add hyperell.input for PAFF testing
 20100629 tpd src/axiom-website/patches.html 20100629.07.tpd.patch
 20100629 tpd src/algebra/Makefile remove new algebra scaffolding code
 20100629 tpd src/axiom-website/patches.html 20100629.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f3f78ab..5910004 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2952,5 +2952,7 @@ Makefile.pamphlet fix environment variables<br/>
 src/input/monitortest.input fix minor breakage in results<br/>
 <a href="patches/20100629.07.tpd.patch">20100629.07.tpd.patch</a>
 src/algebra/Makefile remove new algebra scaffolding code<br/>
+<a href="patches/20100630.01.tpd.patch">20100630.01.tpd.patch</a>
+src/input/hyperell.input additional PAFF testing<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 43df88f..b86dcf9 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -328,8 +328,8 @@ REGRESSTESTS= ackermann.regress \
     gbf.regress       genups.regress   gonshor.regress  grpthry.regress \
     gstbl.regress     heap.regress     heat.regress     help.regress \
     herm.regress      heugcd.regress \
-    hexadec.regress   hyperbolicrules.regress \
-    ico.regress       ideal.regress \
+    hexadec.regress   hyperbolicrules.regress  \
+    hyperell.regress  ico.regress       ideal.regress \
     ifact.regress     ifthenelse.regress \
     infprod.regress   intaf.regress    intbypart.regress \
     intdeq.regress \
@@ -679,6 +679,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/herm.input     ${OUT}/heugcd.input \
        ${OUT}/hexadec.input  ${OUT}/huang.input \
        ${OUT}/hyperbolicrules.input \
+       ${OUT}/hyperell.input \
        ${OUT}/ico.input      ${OUT}/ideal.input      ${OUT}/ifact.input \
        ${OUT}/ifthenelse.input \
        ${OUT}/images1.input  ${OUT}/images1a.input   ${OUT}/images3a.input \
@@ -1031,6 +1032,7 @@ DOCFILES= \
   ${DOC}/heugcd.input.dvi \
   ${DOC}/hexadec.input.dvi     ${DOC}/hilbert.as.dvi       \
   ${DOC}/huang.input.dvi ${DOC}/hyperbolicrules.input.dvi \
+  ${DOC}/hyperell.input.dvi   \
   ${DOC}/ico.input.dvi        \
   ${DOC}/ideal.input.dvi       ${DOC}/ifact.input.dvi      \
   ${DOC}/ifthenelse.input.dvi \
diff --git a/src/input/hyperell.input.pamphlet b/src/input/hyperell.input.pamphlet
new file mode 100644
index 0000000..161083c
--- /dev/null
+++ b/src/input/hyperell.input.pamphlet
@@ -0,0 +1,268 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input hyperell.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f hyperell.output
+)spool hyperell.output
+)set message auto off
+)clear all
+
+--S 1 of 26
+p:= nextPrime(2^20)
+--R 
+--R
+--R   (1)  1048583
+--R                                                        Type: PositiveInteger
+--E 1
+
+--S 2 of 26
+K:=PF p
+--R 
+--R
+--R   (2)  PrimeField 1048583
+--R                                                                 Type: Domain
+--E 2
+
+--S 3 of 26
+R:=DMP([x,y,z],K)
+--R 
+--R
+--R   (3)  DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--R                                                                 Type: Domain
+--E 3
+
+--S 4 of 26
+P:=PAFFFF( K, [x,y,z], BLQT)
+--R 
+--R
+--R   (4)
+--R  PackageForAlgebraicFunctionFieldOverFiniteField(PrimeField 1048583,[x,y,z],Bl
+--R  owUpWithQuadTrans)
+--R                                                                 Type: Domain
+--E 4
+
+--S 5 of 26
+ProjPl := PROJPLPS PrimeField p
+--R 
+--R
+--R   (5)
+--R   ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--R                                                                 Type: Domain
+--E 5
+
+--S 6 of 26
+f:R:= y^2 - (x-1)*(x-2)*(x-3)*(x-4)*(x-5)
+--R 
+--R
+--R                5      4           3       2               2
+--R   (6)  1048582x  + 15x  + 1048498x  + 225x  + 1048309x + y  + 120
+--R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--E 6
+
+--S 7 of 26
+fh:R:= homogenize( f , 3 )$P
+--R 
+--R
+--R                5      4            3 2       2 3             4    2 3       5
+--R   (7)  1048582x  + 15x z + 1048498x z  + 225x z  + 1048309x z  + y z  + 120z
+--R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--E 7
+
+--S 8 of 26
+setCurve(fh)$P
+--R 
+--R
+--R                5      4            3 2       2 3             4    2 3       5
+--R   (8)  1048582x  + 15x z + 1048498x z  + 225x z  + 1048309x z  + y z  + 120z
+--R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--E 8
+
+--S 9 of 26
+g:=genus()$P
+--R 
+--R
+--R   (9)  2
+--R                                                     Type: NonNegativeInteger
+--E 9
+
+--S 10 of 26
+divZ := intersectionDivisor(z)$P
+--R 
+--R
+--R              1
+--I   (10)  5 %I7
+--RType: Divisor PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 10
+
+--S 11 of 26
+pInf:= first supp divZ
+--R 
+--R
+--R            1
+--I   (11)  %I7
+--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 11
+
+--S 12 of 26
+p1:= projectivePoint( [1,0,1] :: List K )$ProjPl
+--R 
+--R
+--R                1
+--R   (12)  (1:0:1)
+--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 12
+
+--S 13 of 26
+pl1:= first placesAbove( p1 )$P
+--R 
+--R
+--R                1
+--R   (13)  [1:0:1]
+--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 13
+
+--S 14 of 26
+p2:= projectivePoint( [2,0,1] :: List K )$ProjPl
+--R 
+--R
+--R                1
+--R   (14)  (2:0:1)
+--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 14
+
+--S 15 of 26
+pl2:= first placesAbove( p2 )$P
+--R 
+--R
+--R                1
+--R   (15)  [2:0:1]
+--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 15
+
+--S 16 of 26
+p3:= projectivePoint( [3,0,1] :: List K )$ProjPl
+--R 
+--R
+--R                1
+--R   (16)  (3:0:1)
+--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 16
+
+--S 17 of 26
+pl3:= first placesAbove( p3 )$P
+--R 
+--R
+--R                1
+--R   (17)  [3:0:1]
+--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 17
+
+--S 18 of 26
+p4:= projectivePoint( [4,0,1] :: List K )$ProjPl
+--R 
+--R
+--R                1
+--R   (18)  (4:0:1)
+--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 18
+
+--S 19 of 26
+pl4:= first placesAbove( p4 )$P
+--R 
+--R
+--R                1
+--R   (19)  [4:0:1]
+--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 19
+
+--S 20 of 26
+p5:= projectivePoint( [5,0,1] :: List K )$ProjPl
+--R 
+--R
+--R                1
+--R   (20)  (5:0:1)
+--RType: ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 20
+
+--S 21 of 26
+pl5:= first placesAbove( p5 )$P
+--R 
+--R
+--R                1
+--R   (21)  [5:0:1]
+--R       Type: PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 21
+
+--S 22 of 26
+D:= pl1+pl2+ 3*pl3   -  5* pInf
+--R 
+--R
+--R                1          1            1        1
+--I   (22)  [1:0:1]  + [2:0:1]  + 3 [3:0:1]  - 5 %I7
+--RType: Divisor PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 22
+
+--S 23 of 26
+lb:= lBasis( D + g*pInf )$P
+--R 
+--R   Trying to interpolate with forms of degree:
+--R   2
+--R   Trying to interpolate with forms of degree:
+--R   3
+--R   Denominator found
+--R   Intersection Divisor of Denominator found
+--R
+--R   (23)
+--R                           2              3    2             2         2     3
+--R   [num= [873819x y z + y z ],den= 873819x  + x z + 174762x z  + 87382y z + z ]
+--RType: Record(num: List DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583),den: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583))
+--E 23
+
+--S 24 of 26
+g1:= first lb.num
+--R 
+--R
+--R                          2
+--R   (24)  873819x y z + y z
+--R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--E 24
+
+--S 25 of 26
+g0:= lb.den
+--R 
+--R
+--R                3    2             2         2     3
+--R   (25)  873819x  + x z + 174762x z  + 87382y z + z
+--R          Type: DistributedMultivariatePolynomial([x,y,z],PrimeField 1048583)
+--E 25
+
+-- Voici le diviseur equivalent a D ayant un diviseur des zeros (partie effective) 
+-- de degree au plus 2  ( g=2)
+
+--S 26 of 26
+intersectionDivisor(g1)$P - intersectionDivisor(g0)$P + D
+--R 
+--R
+--R                1          1        1
+--I   (26)  [5:0:1]  + [4:0:1]  - 2 %I7
+--RType: Divisor PlacesOverPseudoAlgebraicClosureOfFiniteField PrimeField 1048583
+--E 26
+
+)spool
+)lisp (bye)
+
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
